curl --request POST \
--url https://api.getcargo.io/v1/segmentation/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter": {
"conjonction": "or",
"groups": [
{
"conjonction": "or",
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"trackingColumnSlugs": [
"<string>"
]
}
'{
"segment": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"slug": "<string>",
"name": "<string>",
"filter": {
"conjonction": "or",
"groups": [
{
"conjonction": "or",
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"recordsCount": 123,
"fromPlay": true,
"trackingColumnSlugs": [
"<string>"
],
"syncedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastChange": {
"uuid": "<string>",
"slug": "<string>",
"totalRecordsCount": 123,
"updatedRecordsCount": 123,
"removedRecordsCount": 123,
"addedRecordsCount": 123,
"unchangedRecordsCount": 123,
"createdAt": "<string>"
}
}
}Create a new segment
curl --request POST \
--url https://api.getcargo.io/v1/segmentation/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter": {
"conjonction": "or",
"groups": [
{
"conjonction": "or",
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"trackingColumnSlugs": [
"<string>"
]
}
'{
"segment": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"slug": "<string>",
"name": "<string>",
"filter": {
"conjonction": "or",
"groups": [
{
"conjonction": "or",
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"recordsCount": 123,
"fromPlay": true,
"trackingColumnSlugs": [
"<string>"
],
"syncedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastChange": {
"uuid": "<string>",
"slug": "<string>",
"totalRecordsCount": 123,
"updatedRecordsCount": 123,
"removedRecordsCount": 123,
"addedRecordsCount": 123,
"unchangedRecordsCount": 123,
"createdAt": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Segment name.
Model identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Segment filter criteria.
Show child attributes
Sort criteria for the segment.
Show child attributes
Maximum number of records in the segment.
Tracking column identifiers.
Successful response
Created segment details.
Show child attributes
Was this page helpful?